<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>    
    <meta charset="UTF-8">
    <title>BelajarBelajar</title>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
</head>
<body>
  <div class="d-flex justify-content-center">
    <h2 th:text="'Hello ' + ${#httpServletRequest.remoteUser} + '!'">
  </div>
    <nav th:replace="fragments/fragment :: navbar (${true}, ${false}, ${false})"></nav>
      <div class="d-flex justify-content-center">
        <div class="m-4">
          <h2>Selamat datang di BelajarBelajar</h2>
            <div class="d-flex justify-content-center">
              <a th:href="@{/course/viewAll}" class="mx-2 btn btn-primary">Lihat semua course</a>
              <a th:href="@{/course/add}" class="mx-2 btn btn-outline-primary">Tambah course</a>
            </div>
            <div class="my-3 d-flex justify-content-center">
              <a th:href="@{/penyelenggara/viewall}" class="mx-2 btn btn-primary">Lihat semua penyelenggara</a>
              <a th:if="${user.role.role == 'Manajer'}" th:href="@{/penyelenggara/add}" class="mx-2 btn btn-outline-primary">Tambah penyelenggara</a>
            </div>
            <div th:if="${user.role.role == 'Admin'}"class="my-3 d-flex justify-content-center">
              <a th:href="@{/user/add}" class="mx-2 btn btn-outline-success">Tambah User Baru</a>
              <a th:href="@{/user/viewAll}" class="mx-2 btn btn-primary">Lihat semua user</a>
            </div>
            <div th:if="${user.role.role == 'Admin'}"class="my-3 d-flex justify-content-center">
              <a th:href="@{/user/gantiPassword/} + ${user.username}" class="mx-2 btn btn-outline-success">Ganti Password</a>
            </div>
        </div>
      </div>
      <div th:replace="fragments/fragment :: footer (page='home')">
        <p>Author: Hege Refsnes<br>
        <a href="mailto:hege@example.com">hege@example.com</a></p>
      </div>

</body>
</html>